> ## Documentation Index
> Fetch the complete documentation index at: https://docs.notifique.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Download inbound media (file)

> Download media as a file — ideal for curl or scripts.



## OpenAPI

````yaml /en/telegram-api/api-reference/openapi-telegram.json get /v1/telegram/messages/inbound/{id}/media/download
openapi: 3.0.3
info:
  title: Notifique API — Telegram
  description: >-
    Send Telegram messages and manage connections. Authenticate with
    `Authorization: Bearer sk_live_...` or `x-api-key`.
  version: 1.0.0
servers:
  - url: https://api.notifique.dev
    description: Production
security:
  - ntfTgBearerAuth: []
  - ntfTgApiKeyHeader: []
tags:
  - name: Messages
    description: Send and manage messages
  - name: Instances
    description: Create and connect bots or USER accounts
  - name: Chats
    description: List chats
paths:
  /v1/telegram/messages/inbound/{id}/media/download:
    get:
      tags:
        - Mensagens
      summary: Download inbound media (file)
      description: Download media as a file — ideal for curl or scripts.
      operationId: ntfTg_getV1TelegramInboundMediaDownload
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            example: clxx_in_1
      responses:
        '200':
          description: >-
            Arquivo binário. Response binária (não JSON). Use `Content-Type` e
            `Content-Disposition` do header.
          content:
            application/octet-stream:
              schema:
                type: string
                format: binary
        '400':
          description: Sem mídia baixável.
        '401':
          description: Unauthorized.
        '403':
          description: Escopo ou instance.
        '404':
          description: Inbound não encontrado.
        '502':
          description: Falha ao baixar no Telegram.
components:
  securitySchemes:
    ntfTgBearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: 'Authorization: Bearer sk_live_xxxxx'
    ntfTgApiKeyHeader:
      type: apiKey
      in: header
      name: x-api-key

````